
/* Config --------------------------------------------------------------- */

:root {
	--body-font: "Montserrat", sans-serif;
	--light-gray-color: #9d9d9d;
	--gray-color: #D3D3D3;
	--dark-gray-color: #808080;
	--line-height: 1.5;
	--content-width: 1024px;
	--margin: 30px;
}

/* CSS Reset --------------------------------------------------------------- */

/* [1] tl;dr; All elements inherit some properties from their parent (recursive step) */
* {
	margin: 0;
	padding: 0;
	font-weight: normal;
	font-family: inherit;
	color: inherit;
	background: transparent;
	box-sizing: inherit;
	/* Add more properties here */
}

/* [2] tl;dr; Provide inheritable defaults (base case) */
html {
	box-sizing: border-box;
	font-size: 16px;
	font-family: var(--body-font);
	color: black;
	line-height: var(--line-height);
	/* provide defaults for properties in [1] (except margin & padding */
}

/* Core Styling --------------------------------------------------------------- */

a {
	border: none;
	text-decoration: none;
}

main a:not(:has(*)) {
	border-bottom: 1px dotted var(--color--lightest);
}

a:hover {
	color: #6190a2 !important;
	border-color: #6190a2 !important;
}

a.button {
	border: none;
	border-bottom: 5px solid var(--color--lightest);
	background: var(--color--darkest);
	color: var(--color--white);
	text-align: center;
	text-transform: uppercase;
	padding: 10px;
	box-sizing: border-box;
}

a.button.block-button {
	display: block;
	width: fit-content;
}

strong {
	font-weight: bold;
}

body > header > section {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-between;
}

body > header ul {
	list-style: none;
	display: flex;
	flex-flow: row wrap;
	position: relative;
}

body > header ul ul {
	flex-flow: column nowrap;
	position: absolute;
	background: white;
	z-index: 99999;
}

body > header ul li:not(:hover) ul {
	display: none;
}

body > header nav {
	display: flex;
	flex-flow: row wrap;
	align-items: center;
	color: white;
}

body > header nav > ul li:hover a {
	color: gray !important;
}

body > header nav > ul a {
	display: inline-block;
	box-sizing: border-box;
	padding: calc(var(--margin) * 0.25) calc(var(--margin) * 0.5);
	text-decoration: none;
	cursor: pointer;
	color: inherit;
}

#primaryMenuOpener {
	cursor: pointer;
	display: none;
}

#primaryMenuCloser {
	cursor: pointer;
	display: none;
	position: absolute;
	top: 10px;
	right: 10px;
}

@media (max-width: 768px) {
	body:not(.primary-menu-open) #primaryNav ul {
		display: none;
	}

	body:not(.primary-menu-open) #primaryMenuOpener {
		display: flex;
	}

	body.primary-menu-open #primaryMenuCloser {
		display: flex;
	}

	body.primary-menu-open {
		overflow: hidden;
	}

	body.primary-menu-open #primaryNav {
		position: absolute;
		top: 0;
		left: 0;
		bottom: 0;
		right: 0;
		z-index: 99999999;
		background: white;
		flex-flow: column nowrap;
		justify-content: center;
		color: black;
	}

	body.primary-menu-open #primaryNav ul {
		display: flex;
		flex-flow: column nowrap;
		text-align: center;
		overflow-y: scroll;
	}

	body.primary-menu-open #primaryMenu ul li {
		flex-flow: column nowrap;
		text-align: center;
	}

	#primaryNav ul > li > a {
		font-weight: bold;
	}

	#primaryNav ul ul > li > a {
		font-weight: normal;
	}

	body.primary-menu-open #primaryNav ul ul {
		position: unset;
	}
}

body > header,
h1, h2, h3, h4, h5, h6 {
	text-transform: uppercase;
}

p:not(:last-child) {
	margin-bottom: 1em;
}

hr {
	width: 200px;
	height: 1px;
	margin: var(--margin) auto;
	background: #9d9d9d;
	border: none;
}

footer {
	color: #9d9d9d;
	display: flex;
	flex-flow: column;
	text-align: center;
}

/* Core Layout --------------------------------------------------------------- */

body {
	display: flex;
	flex-flow: column nowrap;
	align-items: center;
	min-height: 100vh;
}

body > main {
	flex: 1;
	width: 100%;
	display: flex;
	flex-flow: column nowrap;
	align-items: center;
}

body > header {
	width: 100%;
	padding: 1rem;
	box-sizing: border-box;
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-flow: row wrap;
	row-gap: calc(var(--margin) / 2);
}

section {
	display: flex;
	flex-flow: column nowrap;
	align-items: flex-start;
}

.collection {
	list-style: none;
	width: 100%;
	gap: 10px 10px;
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
}

.collection > * {
	flex: 1;
}

.navigationWrapper {
	z-index: 400;	
}

body > header {
	align-items: flex-start;
	background: black;
	height: 600px;
}

body > header .heroImage,
body > header .slider {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	width: 100%;
	height: 600px;
	object-fit: cover;
}

.slider ul {
	width: 100%;
	height: 100%;
	display: flex;
	flex-flow: row nowrap;
	overflow-x: scroll;
}

.slider ul li {
	height: 100%;
	width: 100%;
	flex-shrink: 0;
	flex-grow: 1;
}

.slider ul li a {
	width: 100%;
	height: 100%;
	display: block;
}

.slider ul li a img {
	width: 100%;
	height: 100%;
}

.slider--dots {
	width: 100%;
	height: 44px;
	position: absolute;
	bottom: 0;
	z-index: 10;
	display: flex;
	flex-flow: row wrap;
	align-items: center;
	justify-content: center;
}

.slider--dots--dot {
	width: 11px;
	height: 11px;
	background: gray;
	opacity: 0.6;
	border-radius: 100%;
	cursor: pointer;
	margin: 5px;
}

.slider--dots--dot.selected {
	background: white;
	opacity: 1.0;
}

.slider ul li * {
	-webkit-user-drag: none;
	user-drag: none;          	/* non-standard but harmless */
	user-select: none;
	-webkit-user-select: none;
	pointer-events: auto;     	/* usually keep ON unless special case */
	object-fit: cover;
	object-position: center;
}

.slider ul {
	overflow-x: auto;
	display: flex;
	scroll-snap-type: x mandatory;	/* snap on x axis */
	scroll-behavior: smooth;
	-webkit-overflow-scrolling: touch;
}

.slider ul li {
	scroll-snap-align: start;	/* snap left edge */
	scroll-snap-stop: normal;
}

.slider { scrollbar-width: none; }
.slider ul::-webkit-scrollbar { display: none; }

/* Site Icon */
body > header img {
	height: 60px;
}

section,
footer {
	width: 100%;
}

main > section,
footer {
	position: relative;
}

.contentwidth,
section:not(.fullwidth) {
	padding: var(--margin) calc(var(--margin) + calc(max(0px, calc(100% - var(--content-width))) / 2));
}

main > section:has(+ * .separator),
main > section:last-child {
	padding-bottom: calc(var(--margin) + 50px); /* 50px is about half of the height of the separator swoosh */
}


/* 
 * widgets
 */

/* Swoop section separator */

.separator {
	display: block;
	width: 100vw;        /* full viewport width */
	height: auto;        /* keep aspect ratio */
	left: 50%;
	right: 50%;
	margin-left: -50vw;  /* break out of container */
	margin-right: -50vw;	
	transform: translateY(calc(-100% + 1px)); /* because of a weird artifact line */
	pointer-events: none;
	z-index: 2; /* above the previous section visually */
	position: absolute;
	top: 0;
}

.separator--line {
	fill: var(--color--separator); 
}

/* link cloud */

.link-cloud {
	list-style-type: none;
	display: flex;
	flex-flow: row wrap;
	justify-content: center;
}

.link-cloud a {
	padding: 10px;
	box-sizing: border-box;
	display: block;
}

.link-cloud a > * {
	height: 2.5em;
}

